using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceRunHourlyCost {

        //냉난방 최적제어 사용량 및금액
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "빌딩ID"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "서비스타입ID"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "운전 날짜"), Key]
        public DateTime RunDate { get; set; }
        [Display(Name = "연료타입 ID"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "비용"), Required]
        public int Cost { get; set; }
        [Display(Name = "사용량"), Required]
        public int Consume { get; set; }

        [ForeignKey("SiteId,BuildingId,ServiceTypeId,RunDate")]
        public virtual BemsDeviceRunHourly BemsDeviceRunHourly { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
    }
}
